Token Exchange

Exchange an authorization code for a refresh token, or a refresh token for a new access token.

The Digits API supports two authentication modes:

authorization_codeand refresh_token- standard OAuth flow, for granting access to a single connection. Most integrations will use this authentication mode, as it allows for writing data.

client_credentials- Directly pull an Access Token for client credentials. The resulting access token may only be used against non-source endpoints. An OAuth authorization flow is required for writing data via the source APIs.

Body Params
string
enum
required

The type of grant being requested, as defined in RFC 6749.

Allowed:
string
required

The client application's unique identifier.

string
required

The client application's secret.

string

grant_type: authorization_code

string
string

grant_type: refresh_token
The refresh token issued to the client.
Required when the grant_type is "refresh_token".

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json